// PrgGrid.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "PrgGrid.h"		// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCPrgGrid _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCPrgGrid, CFCPropertyPageBase)

CFCPrgGrid::CFCPrgGrid() : BASE_CLASS(CFCPrgGrid::IDD)
{
	//{{AFX_DATA_INIT(CFCPrgGrid)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
}

CFCPrgGrid::~CFCPrgGrid()
{
}

void CFCPrgGrid::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCPrgGrid)
	DDX_Control(pDX, IDC_PGG_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFCPrgGrid, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCPrgGrid)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_PGG_CHK_GRID_VISIBLE, OnPggChkGridVisible)
	ON_BN_CLICKED(IDC_PGG_CHK_GRID_SAME_VALUE, OnPggChkGridSameValue)
	ON_CBN_EDITCHANGE(IDC_PGG_CBB_GRID_HORZ, OnEditchangePggCbbGridHorz)
	ON_CBN_CLOSEUP(IDC_PGG_CBB_GRID_HORZ, OnCloseupPggCbbGridHorz)
	ON_CBN_SELCHANGE(IDC_PGG_CBB_GRID_HORZ, OnSelchangePggCbbGridHorz)
	ON_CBN_EDITCHANGE(IDC_PGG_CBB_GRID_VERT, OnEditchangePggCbbGridVert)
	ON_CBN_CLOSEUP(IDC_PGG_CBB_GRID_VERT, OnCloseupPggCbbGridVert)
	ON_CBN_SELCHANGE(IDC_PGG_CBB_GRID_VERT, OnSelchangePggCbbGridVert)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCPrgGrid _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

